> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get message step stats

> Retrieve one journey's message step stats, without per-customer traversal counts.



## OpenAPI

````yaml get /api/admin/journeys/message-stats
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/journeys/message-stats:
    get:
      tags:
        - Journeys
      description: >-
        Retrieve one journey's message step stats, without per-customer
        traversal counts.
      parameters:
        - schema:
            format: uuid
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            format: uuid
            type: string
          in: query
          name: journeyId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  journeyId:
                    type: string
                  nodeStats:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        sendRate:
                          type: number
                        channelStats:
                          anyOf:
                            - type: object
                              properties:
                                type:
                                  const: Email
                                  type: string
                                deliveryRate:
                                  type: number
                                openRate:
                                  type: number
                                clickRate:
                                  type: number
                                spamRate:
                                  type: number
                                unsubscribeRate:
                                  type: number
                              required:
                                - type
                                - deliveryRate
                                - openRate
                                - clickRate
                                - spamRate
                                - unsubscribeRate
                            - type: object
                              properties:
                                type:
                                  const: Sms
                                  type: string
                                deliveryRate:
                                  type: number
                                failRate:
                                  type: number
                              required:
                                - type
                                - deliveryRate
                            - type: object
                              properties:
                                type:
                                  const: Webhook
                                  type: string
                                stats:
                                  type: object
                                  patternProperties:
                                    ^(.*)$:
                                      type: number
                              required:
                                - type
                                - stats
                            - type: object
                              properties:
                                type:
                                  const: Whatsapp
                                  type: string
                                deliveryRate:
                                  type: number
                                readRate:
                                  type: number
                                failRate:
                                  type: number
                              required:
                                - type
                                - deliveryRate
                                - failRate
                            - type: object
                              properties:
                                type:
                                  const: MobilePush
                                  type: string
                                deliveryRate:
                                  type: number
                                openRate:
                                  type: number
                                failRate:
                                  type: number
                                failReasons:
                                  type: object
                                  patternProperties:
                                    ^(.*)$:
                                      type: number
                                sentCount:
                                  type: number
                                deliveredCount:
                                  type: number
                                openedCount:
                                  type: number
                                failedCount:
                                  type: number
                                skipReasons:
                                  type: object
                                  patternProperties:
                                    ^(.*)$:
                                      type: number
                                platforms:
                                  type: object
                                  properties:
                                    android:
                                      type: object
                                      properties:
                                        sent:
                                          type: number
                                        delivered:
                                          type: number
                                      required:
                                        - sent
                                        - delivered
                                    ios:
                                      type: object
                                      properties:
                                        sent:
                                          type: number
                                        delivered:
                                          type: number
                                      required:
                                        - sent
                                        - delivered
                                  required:
                                    - android
                                    - ios
                              required:
                                - type
                                - deliveryRate
                                - openRate
                                - failRate
                                - failReasons
                                - sentCount
                                - deliveredCount
                                - openedCount
                                - failedCount
                                - skipReasons
                        targetedCount:
                          type: number
                required:
                  - journeyId
                  - nodeStats
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.